Summary
Clone Automation
Description
Clone an Automation.
Route
POST /operations-manager/automations/clone
Roles
admin
apiwrite
engineering
Parameters
Details Example Schema
Name
Type
Required
Description
automation
object
yes
The id of the Automation to be cloned and, optionally, a name to assign to the clone.
Copied to Clipboard
{
"id": "171055fdd93defd325ec1c00",
"name": null
}
Return
Details Example Schema
Name
Type
Description
result
object
The result of the clone operation.
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": null,
"created": "2005-11-10T18:28:59.698Z",
"lastUpdatedBy": null,
"lastUpdated": "1957-05-24T23:43:57.44Z",
"_id": "d551e2230d6b3a52f12174d7",
"gbac": {
"write": [
"b198535ca7e3c8a3968c1962",
"de50c6b8bcbb34d10ac08a14",
"43edce4f51797d961c08d48b",
"95aed04ea672630dd575e354"
],
"read": [
"696f5649e984b2c0a3780e34",
"e9fa2799aa144f664a27bdb0",
"460202a69768d2a6244d3e74",
"ec6c0214f38d63d11842314e",
"aec0ea54671fb8fef25037b5"
]
},
"componentId": "ba91f1e52f7a254b9f200401"
},
"metadata": {
"automaticChanges": [
"quis minim"
],
"triggerCloneResults": {
"message": "culpa aute qui",
"data": [
{
"success": true,
"data": {
"name": 91111647.6761781,
"description": -16397146.072860241,
"type": 6311787.304489031,
"enabled": true,
"actionType": "irure proident Ut",
"actionId": true,
"lastExecuted": true,
"createdBy": true,
"created": false,
"lastUpdatedBy": false,
"lastUpdated": false,
"formData": "est dolore",
"firstRunAt": 67601636,
"nextRunAt": 38171030.68584323,
"processMissedRuns": "veniam",
"locked": 31675357.594416946,
"repeatUnit": true,
"repeatFrequency": 34554139,
"repeatInterval": true,
"_id": true,
"formId": 61710509.99402869
},
"automaticChanges": [
"in mollit id dolore",
"sunt",
"cillum est incididunt",
"aute fugiat minim consequat",
"amet dolore"
]
}
]
}
}
}
Copied to Clipboard
{
"title": "result",
"allOf": [
{
"$ref": "common-api#/definitions/success-response"
},
{
"type": "object",
"properties": {
"data": {
"$ref": "automation-api"
},
"metadata": {
"type": "object",
"properties": {
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
},
"triggerCloneResults": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"metadata": {
"type": "object"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"$ref": "trigger-api"
},
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
}
}
}
}
}
}
}
}
}
}
]
}